%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  RRF
%global packver   1.9.4.1
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.9.4.1
Release:          1%{?dist}%{?buildtag}
Summary:          Regularized Random Forest

License:          GPL (>= 2)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 2.5.0
Requires:         R-core >= 2.5.0
BuildRequires:    R-stats 
Requires:         R-stats 

%description
Feature Selection with Regularized Random Forest. This package is based on
the 'randomForest' package by Andy Liaw. The key difference is the RRF()
function that builds a regularized random forest. Fortran original by Leo
Breiman and Adele Cutler, R port by Andy Liaw and Matthew Wiener,
Regularized random forest for classification by Houtao Deng, Regularized
random forest for regression by Xin Guan. Reference: Houtao Deng (2013)
<doi:10.48550/arXiv.1306.0237>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
